/*
 * Copyright 2017 Riyaz Ahamed
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.ahamed.sample.common.adapter;

import com.ahamed.multiviewadapter.DataListManager;
import com.ahamed.multiviewadapter.RecyclerAdapter;
import com.ahamed.sample.common.model.Quote;
import com.ahamed.sample.data.binding.QuoteDataBinder;
import com.ahamed.sample.simple.QuoteBinder;
import java.util.List;

public class QuoteAdapter extends RecyclerAdapter {

  private DataListManager<Quote> dataManager;

  public QuoteAdapter(boolean isDataBinding) {
    this.dataManager = new DataListManager<>(this);
    addDataManager(dataManager);

    if (isDataBinding) {
      registerBinder(new QuoteDataBinder());
    } else {
      registerBinder(new QuoteBinder());
    }
  }

  public void addData(List<Quote> dataList) {
    dataManager.addAll(dataList);
  }
}